<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/common_white_radius_16_bg"
    android:paddingHorizontal="12dp"
    android:paddingTop="7.5dp"
    android:paddingBottom="10dp">

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_title"
        android:layout_width="wrap_content"
        android:layout_height="30dp"
        android:gravity="center|center_vertical"
        android:includeFontPadding="false"
        android:singleLine="true"
        android:textColor="@color/color_FF1D2129"
        android:textSize="12sp"
        app:fontFamily="@font/poppins_semibold"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:text="@string/playmate_welcome_title_index" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_status"
        android:layout_width="wrap_content"
        android:layout_height="30dp"
        android:gravity="center|center_vertical"
        android:includeFontPadding="false"
        android:singleLine="true"
        android:text="@string/playmate_welcome_review_pass"
        android:textColor="@color/color_FF1D2129"
        android:textSize="12sp"
        app:fontFamily="@font/poppins_semibold"
        app:layout_constraintBottom_toBottomOf="@id/tv_title"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@id/tv_title" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_text"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        app:layout_constraintTop_toBottomOf="@id/tv_title">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="12dp"
            android:ellipsize="end"
            android:gravity="start|center_vertical"
            android:includeFontPadding="false"
            android:maxLines="2"
            android:textColor="@color/color_FF1D2129"
            android:textSize="12sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/iv_text_go"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="People are good at chatting when it comes to human skin language talk the nice aar..." />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_text_go"
            android:layout_width="16dp"
            android:layout_height="16dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/common_go_gray_ic" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_voice"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="6dp"
        app:layout_constraintTop_toBottomOf="@id/cl_text">

        <com.adealink.weparty.module.playmate.widget.SoundView
            android:id="@+id/v_sound"
            android:layout_width="124dp"
            android:layout_height="32dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.37"
            app:sound_duration_text_gravity="end"
            app:sound_duration_text_size="12sp"
            app:sound_show_play_button="true"
            app:sound_show_wave="true" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_voice_go"
            android:layout_width="16dp"
            android:layout_height="16dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/common_go_gray_ic" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>